{
    attributes = (
        {
            columnName = ANNEE_SCOLAIRE; 
            externalType = NUMBER; 
            name = anneeScolaire; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = DETAIL_MONTANT; 
            externalType = NUMBER; 
            name = detailMontant; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = LIBELLE_COMPTE; 
            externalType = VARCHAR2; 
            name = libelleCompte; 
            valueClassName = NSString; 
            width = 52; 
        }, 
        {
            columnName = NUMERO_DPAIE; 
            externalType = NUMBER; 
            name = numeroDpaie; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = NUMERO_HISTORIQUE; 
            externalType = NUMBER; 
            name = numeroHistorique; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = NUMERO_PAIE; 
            externalType = NUMBER; 
            name = numeroPaie; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (numeroDpaie); 
    className = EOGenericRecord; 
    classProperties = (
        numeroDpaie, 
        numeroHistorique, 
        libelleCompte, 
        detailMontant, 
        anneeScolaire, 
        numeroPaie
    ); 
    externalName = V_DPAIE_CARTE; 
    fetchSpecificationDictionary = {}; 
    name = VDpaieCarte; 
    primaryKeyAttributes = (numeroDpaie); 
}
